[![image](https://img.shields.io/pypi/v/docx-locker)](https://pypi.org/project/docx-locker/)
[![image](https://img.shields.io/pypi/l/docx-locker)](https://github.com/rowanhoy/docx-locker/blob/main/LICENSE)
[![image](https://img.shields.io/pypi/pyversions/docx-locker)](https://pypi.org/project/docx-locker/)
[![CodeQL](https://github.com/rowanhoy/docx-locker/actions/workflows/codeql.yml/badge.svg?branch=main&event=push)](https://github.com/rowanhoy/docx-locker/actions/workflows/codeql.yml)
[![codecov](https://codecov.io/github/rowanhoy/docx-locker/graph/badge.svg?token=FW6CBDRBV4)](https://codecov.io/github/rowanhoy/docx-locker)
[![GitHub Actions](https://github.com/rowanhoy/docx-locker/workflows/Release/badge.svg)](https://github.com/rowanhoy/docx-locker/actions)
[![GitHub Actions](https://github.com/rowanhoy/docx-locker/workflows/Tests/badge.svg)](https://github.com/rowanhoy/docx-locker/actions)


# docx-locker
Simple python module with a single dependency for getting and setting document protection on docx files.

## Compatibility

The module has been tested against documents generated by word 2016 and higher, and should be compatible with other modules that generate standard docx files.

## Install

```sh
pip install docx_locker
```

## Usage
```python
from docx_locker import apply_docx_protection

docx_path = 'full/file/path.docx'
apply_docx_protection(docx_path, 'password')

```

Check the [docs](https://rowanhoy.github.io/docx-locker) for a full list of supported args.